## lv2-extensions-good 0~20110821

=== dyn-manifest.lv2/Makefile ===
PREFIX = /usr/local
LV2_DIR = $(PREFIX)/lib/lv2
INCLUDE_DIR = $(PREFIX)/include

all:
	@echo "There's nothing to build here, just 'make install'"
	@echo
	@echo "The variables PREFIX, LV2_DIR, and INCLUDE_DIR are used, e.g.:"
	@echo "make PREFIX=/usr LV2_DIR=/usr/lib/lv2 INCLUDE_DIR=/usr/include"
	@echo
	@echo "Defaults:"
	@echo "    PREFIX      = /usr/local"
	@echo "    LV2_DIR     = PREFIX/lib/lv2"
	@echo "    INCLUDE_DIR = PREFIX/include"

install:
	install -d $(LV2_DIR)/lv2_dyn_manifest.lv2
	install -m 0644 lv2_dyn_manifest.ttl $(LV2_DIR)/lv2_dyn_manifest.lv2/
	install -d $(INCLUDE_DIR)/
	install -m 0644 lv2_dyn_manifest.h $(INCLUDE_DIR)/

## lv2-extensions-good 0~20110526

=== debian/changelog ===
lv2-extensions-good (0~20110526-1) unstable; urgency=low

  * New upstream releases:
    - lv2-data-access-1.2
    - lv2-event-1.2
    - lv2-instance-access-1.2
    - lv2-midi-1.2
    - lv2-ui-2.2
    - lv2-uri-map-1.2
  * debian/get-orig-source:
    - Point get-orig-source to the new upstream releases.
  * debian/gbp.conf: Set compression = bzip2.

 -- Alessio Treglia <alessio@debian.org>  Fri, 27 May 2011 10:53:29 +0200

lv2-extensions-good (0~20110328-1) unstable; urgency=low

  * Initial release. (Closes: #619593)

 -- Alessio Treglia <alessio@debian.org>  Thu, 26 May 2011 14:45:29 +0200

=== debian/control ===
Source: lv2-extensions-good
Section: libdevel
Priority: optional
Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
Uploaders: Alessio Treglia <alessio@debian.org>
Build-Depends: debhelper (>= 7.0.50~),
 lv2core (>= 4.0-4~)
Standards-Version: 3.9.2
Vcs-Git: git://git.debian.org/git/pkg-multimedia/lv2core.git
Vcs-Browser: http://git.debian.org/?p=pkg-multimedia/lv2core.git
Homepage: http://lv2plug.in/docs/index.php?title=External_Extensions

Package: lv2-extensions-good
Architecture: all
Depends: ${misc:Depends},
 lv2core (>= 4.0-4~)
Provides: lv2-extension
Description: LV2 extensions from the "good" set
 LV2 is a simple but extensible successor of LADSPA plugins,
 intended to address the limitations of LADSPA which many
 applications have outgrown.
 .
 The following extensions are provided:
  * LV2 Data Access (http://lv2plug.in/ns/ext/data-access) - Defines a method
    for plugin UIs to have (possibly marshalled) access to the extension_data
    function on a plugin instance.
  * LV2 Dynamic Manifest (http://lv2plug.in/ns/ext/dyn-manifest) - An
    LV2-based specification for dynamic data generation.
  * LV2 Events (http://lv2plug.in/ns/ext/event) - Defines a generic
    time-stamped event port type, which can be used to create plugins that
    read and write real-time events.
  * LV2 Instance Access (http://lv2plug.in/ns/ext/instance-access) - Defines
    a method for plugin UIs to get a direct handle to an LV2 plugin instance
    (LV2_Handle), if possible.
  * LV2 MIDI Events (http://lv2plug.in/ns/ext/midi) - Defines an LV2 event
    type for standard raw MIDI.
  * LV2 Presets (http://lv2plug.in/ns/ext/presets) - Defines presets (e.g.
    named sets of control values) for LV2 plugins.
  * LV2 URI Map (http://lv2plug.in/ns/ext/uri-map) - Defines a simple
    mechanism for plugins to map URIs to integers, usually for performance
    reasons.
  * LV2 UI (http://lv2plug.in/ns/extensions/ui) - Defines an interface that
    can be used in LV2 plugins and hosts to create UIs for plugins.
  * LV2 Units extension (http://lv2plug.in/ns/extensions/units) - Defines a
    number of units for use in audio processing.
 .
 This package provides the LV2 extensions from the "good" set, a set of
 extensions which have been discussed and reviewed by the LV2 community
 and implemented in released software.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with lv2config

override_dh_auto_configure:
override_dh_auto_build:
override_dh_auto_install:
override_dh_auto_test:
override_dh_auto_clean:
	dh_auto_clean
	rm -rf get-orig-source

## lv2-extensions-good 0~20110821

=== debian/changelog ===
lv2-extensions-good (0~20110821-1) unstable; urgency=low

  * New upstream release:
    - New LV2 Units revision 5.2.
  * debian/copyright: LV2 Units has been relicensed from Expat to ISC.
  * Update Homepage field.
  * Fix Vcs* tags.
  * Wrap and sort.

 -- Alessio Treglia <alessio@debian.org>  Sat, 27 Aug 2011 12:57:04 +0200

=== debian/control ===
--- 
+++ 
@@ -6,9 +6,9 @@
 Build-Depends: debhelper (>= 7.0.50~),
  lv2core (>= 4.0-4~)
 Standards-Version: 3.9.2
-Vcs-Git: git://git.debian.org/git/pkg-multimedia/lv2core.git
-Vcs-Browser: http://git.debian.org/?p=pkg-multimedia/lv2core.git
-Homepage: http://lv2plug.in/docs/index.php?title=External_Extensions
+Vcs-Git: git://git.debian.org/git/pkg-multimedia/lv2-extensions-good.git
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-multimedia/lv2-extensions-good.git
+Homepage: http://lv2plug.in/
 
 Package: lv2-extensions-good
 Architecture: all

## lv2-extensions-good 0~20111202

=== debian/changelog ===
lv2-extensions-good (0~20111202-1) unstable; urgency=low

  * New upstream releases:
    - lv2-data-access-1.4
    - lv2-dynmanifest-1.2
    - lv2-event-1.4
    - lv2-instance-access-1.4
    - lv2-midi-1.4
    - lv2-presets-2.2
    - lv2-ui-2.4
    - lv2-units-5.4
    - lv2-urid-1.0
    - lv2-uri-map-1.4
  * Update packaging to reflect changes to the buildsystem.
  * Update licensing information.
  * New build-dependency on python.

 -- Alessio Treglia <alessio@debian.org>  Sat, 03 Dec 2011 11:16:11 +0100

=== debian/rules ===
#!/usr/bin/make -f

WAF = ./waf
export DESTDIR=$(CURDIR)/debian/lv2-extensions-good

%:
	dh $@

override_dh_auto_configure:
	for ext in lv2-* ; do \
		cd $$ext && $(WAF) configure --prefix=/usr && cd .. ;\
	done

override_dh_auto_build:
	for ext in lv2-* ; do \
		cd $$ext && $(WAF) && cd .. ; \
	done

override_dh_auto_install:
	for ext in lv2-* ; do \
		cd $$ext && $(WAF) install --destdir $(DESTDIR) && cd .. ; \
	done

override_dh_auto_test:
override_dh_auto_clean:
	dh_auto_clean
	for ext in lv2-* ; do \
		cd $$ext && $(WAF) distclean && cd .. ; \
	done
	find -name "*.pyc" -delete
	rm -rf get-orig-source

## lv2-extensions-good 0~20111202+dfsg0

=== lv2-urid-1.0/wscript ===
#!/usr/bin/env python
import glob
import os
import shutil
import sys
from waflib.extras import autowaf as autowaf
import waflib.Scripting as Scripting
import waflib.Logs as Logs
import waflib.Options as Options
import waflib.Context as Context
import waflib.Utils as Utils

info = None

try:
    # Read version information from lv2extinfo.py (in a release tarball)
    import lv2extinfo
    info = lv2extinfo
except:
    # Read version information from RDF files
    try:
        import rdflib
        doap = rdflib.Namespace('http://usefulinc.com/ns/doap#')
        rdf  = rdflib.Namespace('http://www.w3.org/1999/02/22-rdf-syntax-ns#')
        lv2  = rdflib.Namespace('http://lv2plug.in/ns/lv2core#')

        dir = sys.path[0]
        m   = rdflib.ConjunctiveGraph()

        for i in glob.glob(os.path.join(dir, '*.ttl')):
            m.parse(i, format='n3')

        spec = m.value(None, rdf.type, lv2.Specification)
        name = os.path.basename(spec.replace('http://', ''))
        
        info = type('lv2extinfo', (object,), {
           'NAME'      : str(name),
           'MINOR'     : int(m.value(spec, lv2.minorVersion, None)),
           'MICRO'     : int(m.value(spec, lv2.microVersion, None)),
           'URI'       : str(spec),
           'PKGNAME'   : str('lv2-' + spec.replace('http://', '').replace('/', '-')),
           'SHORTDESC' : str(m.value(spec, doap.shortdesc, None))})
        
    except:
        e = sys.exc_info()[1]
        Logs.error('Error reading version information: '  + str(e))

if not info:
    Logs.error("Failed to find version information from lv2extinfo.py or RDF")
    sys.exit(1)

# Variables for 'waf dist'
APPNAME = 'lv2-' + info.NAME
VERSION = '%d.%d' % (info.MINOR, info.MICRO)

# Mandatory variables
top = '.'
out = 'build'

def options(opt):
    autowaf.set_options(opt)
    opt.add_option('--copy-headers', action='store_true', default=False,
                   dest='copy_headers',
                   help='Copy headers instead of linking to bundle')
    opt.add_option('--experimental', action='store_true', default=False,
                   dest='experimental',
                   help='Install unreleased experimental extensions')

def should_build(ctx):
    top_level = (len(ctx.stack_path) <= 1)
    return top_level or ctx.env['EXPERIMENTAL'] or (
        info.MINOR > 0 and info.MICRO % 2 == 0)

def configure(conf):
    conf.env['EXPERIMENTAL'] = Options.options.experimental
    if not should_build(conf):
        return

    if not hasattr(os.path, 'relpath') and not Options.options.copy_headers:
        conf.fatal(
            'os.path.relpath missing, get Python 2.6 or use --copy-headers')

    autowaf.configure(conf)
    autowaf.display_header('LV2 %s Configuration' % info.NAME)
    conf.env['COPY_HEADERS'] = Options.options.copy_headers
    autowaf.display_msg(conf, 'LV2 bundle directory', conf.env['LV2DIR'])
    autowaf.display_msg(conf, 'URI', info.URI)
    autowaf.display_msg(conf, 'Version', VERSION)
    autowaf.display_msg(conf, 'Pkgconfig name', info.PKGNAME)
    print('')

def build(bld):
    if not should_build(bld):
        return

    uri          = info.URI
    include_base = os.path.dirname(uri[uri.find('://') + 3:])
    bundle_dir   = os.path.join(bld.env['LV2DIR'], info.NAME + '.lv2')
    include_dir  = os.path.join(bld.env['INCLUDEDIR'], 'lv2', include_base)

    # Pkgconfig file
    obj = bld(features     = 'subst',
              source       = 'ext.pc.in',
              target       = info.PKGNAME + '.pc',
              install_path = '${LIBDIR}/pkgconfig',
              INCLUDEDIR   = bld.env['INCLUDEDIR'],
              INCLUDE_PATH = uri.replace('http://', 'lv2/'),
              NAME         = info.NAME,
              VERSION      = VERSION,
              DESCRIPTION  = info.SHORTDESC)
            
    # Install bundle
    bld.install_files(bundle_dir,
                      bld.path.ant_glob('?*.*', excl='*.pc.in lv2extinfo.*'))

    # Install URI-like includes
    if bld.env['COPY_HEADERS']:
        bld.install_files(os.path.join(include_dir, info.NAME),
                          bld.path.ant_glob('*.h'))
    else:
        bld.symlink_as(os.path.join(include_dir, info.NAME),
                       os.path.relpath(bundle_dir, include_dir))

def write_news():
    import rdflib
    import textwrap
    from time import strftime, strptime

    doap = rdflib.Namespace('http://usefulinc.com/ns/doap#')
    dcs  = rdflib.Namespace('http://ontologi.es/doap-changeset#')
    rdfs = rdflib.Namespace('http://www.w3.org/2000/01/rdf-schema#')
    foaf = rdflib.Namespace('http://xmlns.com/foaf/0.1/')
    rdf  = rdflib.Namespace('http://www.w3.org/1999/02/22-rdf-syntax-ns#')

    m = rdflib.ConjunctiveGraph()

    try:
        for i in glob.glob('*.ttl'):
            m.parse(i, format='n3')
    except:
        print('warning: error parsing data, unable to generate NEWS')
        return

    spec = m.value(None, rdf.type, doap.Project)

    entries = {}
    for r in m.triples([spec, doap.release, None]):
        release   = r[2]
        revision  = m.value(release, doap.revision, None) or '9999'
        date      = m.value(release, doap.created, None) or '9999-01-01'
        blamee    = m.value(release, dcs.blame, None)
        changeset = m.value(release, dcs.changeset, None)

        entry = '%s (%s) stable;\n' % (APPNAME, revision)

        if changeset:
            for i in m.triples([changeset, dcs.item, None]):
                entry += '\n  * ' + '\n    '.join(
                    textwrap.wrap(m.value(i[2], rdfs.label, None), width=79))

        entry += '\n\n -- %s <%s>  %s\n\n' % (
            m.value(blamee, foaf.name, None),
            m.value(blamee, foaf.mbox, None).replace('mailto:', ''),
            strftime('%a, %d %b %Y %H:%M:%S +0000', strptime(date, '%Y-%m-%d')))

        entries[revision] = entry

    news = open('NEWS', 'w')
    for e in sorted(entries.keys(), reverse=True):
        news.write(entries[e])
    news.close()

class Dist(Scripting.Dist):
    fun = 'dist'
    cmd = 'dist'

    def get_tar_path(self, node):
        "Resolve symbolic links to avoid broken links in tarball."
        return os.path.realpath(node.abspath())

    def archive(self):
        # Generate lv2extinfo.py in source tree
        lv2extinfo_py = open('lv2extinfo.py', 'w')
        for i in info.__dict__:
            if i.isupper():
                lv2extinfo_py.write("%s = %s\n" % (i, repr(info.__dict__[i])))
        lv2extinfo_py.close()

        # Write NEWS file
        write_news()

        # Build distribution
        Scripting.Dist.archive(self)

        # Delete generated files from source tree
        for i in ['NEWS', 'lv2extinfo.py', 'lv2extinfo.pyc']:
            try:
                os.remove(i)
            except:
                pass

class DistCheck(Dist, Scripting.DistCheck):
    fun = 'distcheck'
    cmd = 'distcheck'

    def archive(self):
        Dist.archive(self)

=== debian/changelog ===
lv2-extensions-good (0~20111202+dfsg0-1) unstable; urgency=low

  * Repack upstream tarball to get rid of the waf binary (Closes: #654486).
  * Adjust debian/rules to properly clean the sources tree.

 -- Alessio Treglia <alessio@debian.org>  Tue, 10 Jan 2012 10:43:02 +0100

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,8 @@
 Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
 Uploaders: Alessio Treglia <alessio@debian.org>
 Build-Depends: debhelper (>= 7.0.50~),
- lv2core (>= 4.0-4~)
+ lv2core,
+ python
 Standards-Version: 3.9.2
 Vcs-Git: git://git.debian.org/git/pkg-multimedia/lv2-extensions-good.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-multimedia/lv2-extensions-good.git
@@ -13,7 +14,7 @@
 Package: lv2-extensions-good
 Architecture: all
 Depends: ${misc:Depends},
- lv2core (>= 4.0-4~)
+ lv2core (>> 6.0)
 Provides: lv2-extension
 Description: LV2 extensions from the "good" set
  LV2 is a simple but extensible successor of LADSPA plugins,
@@ -36,13 +37,16 @@
     type for standard raw MIDI.
   * LV2 Presets (http://lv2plug.in/ns/ext/presets) - Defines presets (e.g.
     named sets of control values) for LV2 plugins.
-  * LV2 URI Map (http://lv2plug.in/ns/ext/uri-map) - Defines a simple
-    mechanism for plugins to map URIs to integers, usually for performance
-    reasons.
   * LV2 UI (http://lv2plug.in/ns/extensions/ui) - Defines an interface that
     can be used in LV2 plugins and hosts to create UIs for plugins.
   * LV2 Units extension (http://lv2plug.in/ns/extensions/units) - Defines a
     number of units for use in audio processing.
+  * LV2 URID (http://lv2plug.in/ns/ext/urid/) - Defines a simple mechanism
+    for plugins to map URIs to and from integers, usually for performance
+    reasons. This extension is intended as an improved and simplified
+    replacement for the uri-map extension, since the map context parameter
+    has been found problematic. New implementations are strongly encouraged
+    to use this extension for URI mapping.
  .
  This package provides the LV2 extensions from the "good" set, a set of
  extensions which have been discussed and reviewed by the LV2 community

=== debian/rules ===
--- 
+++ 
@@ -25,7 +25,7 @@
 override_dh_auto_clean:
 	dh_auto_clean
 	for ext in lv2-* ; do \
-		cd $$ext && $(WAF) distclean && cd .. ; \
+		cd $$ext && ( $(WAF) clean || true ) && cd .. ; \
 	done
 	find -name "*.pyc" -delete
 	rm -rf get-orig-source
